Skip to main content
GET
/
v1
/
predictions
/
forecast
Get Forecast
curl --request GET \
  --url https://api.example.com/v1/predictions/forecast \
  --header 'Authorization: Bearer <token>'
{
  "window": "<string>",
  "points": [
    {
      "bucket_ts": "<string>",
      "value": 123,
      "lower": 123,
      "upper": 123,
      "kind": "<string>",
      "trigger": "<string>"
    }
  ],
  "today_index": 1,
  "axis": {
    "y_ticks": [
      0,
      25,
      50,
      75,
      100
    ],
    "x_tick_indices": []
  },
  "alert_threshold": {
    "probability": 0.7,
    "label": "ALERT 70"
  },
  "generated_at": "<string>",
  "pattern_id": "<string>",
  "breach": {
    "bucket_ts": "<string>",
    "point_index": 123,
    "pattern_id": "<string>",
    "pattern_label": "<string>",
    "probability": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

window
string
default:30d
pattern_id
string | null

Response

Successful Response

window
string
required
points
RichForecastPoint · object[]
required
today_index
integer
required
Required range: x >= 0
axis
ForecastAxis · object
required
alert_threshold
AlertThresholdInfo · object
required
generated_at
string
required
pattern_id
string | null
breach
ForecastBreach · object